#pragma once

#include "abstract_coder.hpp"
#include "tcp_connection.hpp"

namespace tinyrpc {


    class AbstractDispatcher {
    public:
        AbstractDispatcher() = default;
        virtual ~AbstractDispatcher() = default;
        virtual void dispatcher(TcpConnection& conn, AbstractData& data, AbstractData& respond) = 0;
       
    private:

    

    };
}